from app.models.pin import Pin


def pin_serialize(pin: list) -> Pin:
    return Pin(**{
        "id": str(pin["_id"]),
        "title": pin["title"],
        "description": pin["description"],
        "location": pin["location"],
        "files": pin["files"],
        "user_id": pin["user_id"]
    })

def pins_serialize(pins: list, uid: str) -> list:
    serialized_pins: list = []
    for pin in pins:
        if pin["user_id"] == uid:
            serialized_pins.append(pin_serialize(pin))
        
    return serialized_pins